/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * OrderedEventListener.java
 ***************************************************************************************/

package agent.base;

/**
 * The interface used by the EventRouter to send ordered event
 * streams.  Depending on what order your component should be 
 * in a particular stream, implement one of the methods below.
 * Lower numbers will be fired first.
 */
public interface OrderedEventListener extends AgentListener {

  public void listener0(AgentEvent e);
  public void listener1(AgentEvent e);
  public void listener2(AgentEvent e);
  public void listener3(AgentEvent e);
  public void listener4(AgentEvent e);
  public void listener5(AgentEvent e);
  public void listener6(AgentEvent e);
  public void listener7(AgentEvent e);
  public void listener8(AgentEvent e);
  public void listener9(AgentEvent e);
}
