/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * StringArrayEditor.java
 *
 * manifest: Name: agent/base/StringArrayEditor.class
 * manifest: Java-Bean: False
 ***************************************************************************************/

package agent.base;

import java.beans.*;

/**
 * Customized editor for the StringArray class.
 * @see StringArray
 */
public class StringArrayEditor extends PropertyEditorSupport {
  protected String sa;

  /**
   * Sets the internal representation of the string array
   * @param o A StringArray object
   */
  public void setValue(Object o) {
    sa = ((StringArray)o).toString();
  }

  public Object getValue() {
    return StringArray.parseString(sa);
  }

  public String getAsText() {
    return sa;
  }

  public void setAsText(String s) {
    sa = s;

    firePropertyChange();
  }

  public String getJavaInitializationString() {
    return "agent.base.StringArray.parseString(\"" + sa + "\")";
  }
}
























