/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * DelayAction.java
 ***************************************************************************************/

package agent.mass;

import java.io.*;
import java.util.*;
import java.awt.*;

import agent.simplest.*;
import taems.*;

/**
 * A Delay action class, basically a Method wrapper
 */
public class DelayAction extends TaemsAction implements Serializable, Cloneable {
  int finishtime;
  agent.simplest.State state;

  /**
   * Generic constructor
   */
  public DelayAction(Method m) {
    super(m);
  }

  /**
   * Generic constructor
   */
  public DelayAction(agent.simplest.Action a) {
    super(a);
  }

  /**
   * Taems Schedule constructor.
   */
  public DelayAction(ScheduleElement se, Schedule s) {
    super(se, s);
  }

  /**
   */
  public void start() {
    state = (agent.simplest.State)getData("State");
    int time = ((Integer)state.getProperty(State.TIME)).intValue();
    int dur = (int)getMethod().getGlobalOutcome().getDuration().calculateMax();
    finishtime = time + dur;
  }

  /**
   */
  public void execute() {
    int time = ((Integer)state.getProperty(State.TIME)).intValue();
    if (time >= finishtime) {
        setQuality(getMethod().getGlobalOutcome().getQuality().calculateMax());
        setCost(getMethod().getGlobalOutcome().getCost().calculateMax());
        complete();
    }
  }
}
