/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

package agent.mass;

import java.util.Vector;
import java.util.Enumeration;

public class ScheduleErrorException extends Exception {
    protected boolean specialConstructor=false;
    protected Vector listOfConstrainst;

  public ScheduleErrorException() { super(); }

  public ScheduleErrorException(String s) { super(s); }

  public ScheduleErrorException(String s, Vector v) { 
      super(s); 
      listOfConstrainst = v;
      specialConstructor=true;
  }

 public String getMessage() {
     if (!specialConstructor) {
	 return super.getMessage();
     }
     // Add the traitement here for special case
     String answer = "ScheduleErrorException: ";
     for (Enumeration e = listOfConstrainst.elements(); e.hasMoreElements(); )
	 answer = answer + " Constrainst = " + e.nextElement() + "\n";
     return(answer);
 }

    public Vector getConstraints() {
	return listOfConstrainst;
    }
      
}
