/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * ScheduleEventListener.java
 ***************************************************************************************/

package agent.mass;

import agent.base.AgentListener;

/**
 * Interface for listening to scheduling events
 */
public interface ScheduleEventListener extends AgentListener {

  /**
   * Called when a schedule has been added
   */
  public void scheduleAdded(ScheduleEvent e);

  /**
   * Called when a schedule exception is encountered
   */
  public void scheduleException(ScheduleEvent e);
}
