/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * ActionEvent.java
 ***************************************************************************************/

package agent.simplest;

import java.io.*;
import java.util.*;
import java.awt.*;

import agent.base.*;

/**
 * Generic action event.
 */
public class ActionEvent extends AgentEvent {
  public static final int START = 0;
  public static final int COMPLETE = 1;
  public static final int ABORT = 2;
  public static final int RUN = 3;
  private Action action;

  /** 
   * Constructor
   * @param source The source of the event
   * @param a The action in question
   * @param id The id of the event
   */
  public ActionEvent(Object source, Action a, int id) {
    super(source, id);
    action = a;
  }

  /**
   * Get/set accessors
   */
  public Action getAction() { return action; }
  public void setAction(Action a) { action = a; }

    public String getIDString() {
        switch (getID()) {
        case START:
            return "Action Start: ";
        case COMPLETE:
            return "Action Complete: ";
        case ABORT:
            return "Action Abort: ";
        case RUN:
            return "Action Run: ";
        }

        return "(Unknown ActionEvent) ";
    }

  public String toString() {
    return getIDString() + action.toString();
  }
}
