/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * ActionEventListener.java
 ***************************************************************************************/

package agent.simplest;

import agent.base.AgentListener;

/**
 * Interface for listening to action events
 */
public interface ActionEventListener extends AgentListener {

  /**
   * Called when an action begins executing
   */
  public void actionStarted(ActionEvent e);
 
  /**
   * Called when an action has completed
   */
  public void actionCompleted(ActionEvent e);

  /**
   * Called when an action gets aborted
   */
  public void actionAborted(ActionEvent e);
}
