/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * LogEvent.java
 ***************************************************************************************/

package agent.simplest;

import agent.base.AgentEvent;

public class LogEvent extends AgentEvent {
  public final static int ERROR = 0;
  public final static int EVENT = 1;
  public final static int STRING = 2;
  public final static int OBJECT = 3;
  LogItem item;

  public LogEvent(Object source, LogItem l, int id) {
    super(source, id);
    item = l;
  }

  public LogItem getItem() { return item; }
  public void setItem(LogItem l) { item = l; }

  public String toString() {
    return item.toString();
  }
}
