/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * LogEventListener.java
 ***************************************************************************************/

package agent.simplest;

import agent.base.AgentListener;
import agent.base.AgentEvent;

/**
 * Use this interface to monitor communications activity
 */
public interface LogEventListener extends AgentListener {

  /**
   * Called when an error is logged
   */
  public void errorLog(LogEvent e);
  public void eventLog(LogEvent e);
  public void stringLog(LogEvent e);
  public void objectLog(LogEvent e);
  public void eventReflection(AgentEvent e);
}
