/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * LogViewerEntry.java
 ***************************************************************************************/

package agent.simplest;

import java.util.*;

/**
 * Each logfile line/entry which is flagged by a filter
 * is represented with one of these objects, which tracks
 * the particulars related to that entry.
 */
public class LogViewerEntry {
    String source;
    int line;
    String data;

    public LogViewerEntry(String s, int l, String d) {
        source = s;
        line = l;
        data = d;
    }

    public String getSource() { return source; }
    public int getLine() { return line; }
    public String getData() { return data; }

    public String toString() {
        return
            "Line: " + getLine() + "\n" +
            "Source: " + getSource() + "\n" +
            "Data: " + getData();
    }
}
