/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * LogViewerEntrySlot.java
 ***************************************************************************************/

package agent.simplest;

import java.util.*;
import java.awt.Color;

/**
 * Each time slot containing one or more events is
 * represented by one of these objects, which contains
 * the LogViewerEntry objects associated with that time.
 */
public class LogViewerEntrySlot extends Vector {
    Color color;
    LogViewerFilter filter;
    Integer time;
    String agent;

    public LogViewerEntrySlot(LogViewerFilter f, Integer t, String a) {
        super();
        filter = f;
        time = t;
        agent = a;
    }

    public Color getColor() { return color; }
    public void setColor(Color c) { color = c; }
    public LogViewerFilter getFilter() { return filter; }
    public String getAgent() { return agent; }
    public Integer getTime() { return time; }

    public String toString() {
        StringBuffer text = new StringBuffer();

        text.append("Time: " + time + "  " +
                    "Filter: " + filter.getLabel() + "  " +
                    "Agent: " + agent + "  " +
                    "Entries: " + size());
        
        for (Enumeration en = elements(); en.hasMoreElements();) {
            LogViewerEntry entry = (LogViewerEntry)en.nextElement();
            text.append("\n\n> " + entry.getSource() + " (" +
                        "line " + entry.getLine() + ")\n" +
                        filter.formatMyLogEntry(entry.getData()));
        }

        return text.toString();
    }
}
