/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * MessageEvent.java
 ***************************************************************************************/

package agent.simplest;

import agent.base.AgentEvent;
import utilities.*;

public class MessageEvent extends AgentEvent {
  public final static int SENT = 0;
  public final static int RECEIVED = 1;
  Message message;
  Connection connection;

  public MessageEvent(Object source, Message m, Connection c, int id) {
    super(source, id);
    setMessage(m);
    setConnection(c);
  }

  public Message getMessage() { return message; }
  public void setMessage(Message m) { message = m; }

  public Connection getConnection() { return connection; }
  public void setConnection(Connection c) { connection = c; }

  public String toString() {
    return "Message " + (getID() == SENT ? "Sent" : "Received") + ": " + message.toString();
  }
}
