/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * MessageEventListener.java
 ***************************************************************************************/

package agent.simplest;

import agent.base.AgentListener;

/**
 * Use this interface to monitor communications activity
 */
public interface MessageEventListener extends AgentListener {

  /**
   * Called when a message is sent to a remote host
   */
  public void messageSent(MessageEvent e);

  /**
   * Called when a message is received from a remote host
   */
  public void messageReceived(MessageEvent e);
}
