/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * PropertyEventListener.java
 ***************************************************************************************/

package agent.simplest;

import agent.base.AgentListener;

/**
 * Used by components wishing to monitor properties
 */
public interface PropertyEventListener extends AgentListener {

  /**
   * Called when a property is added
   */
  public void propertyAdded(PropertyEvent e);

  /**
   * Called when a property is removed
   */
  public void propertyRemoved(PropertyEvent e);

  /**
   * Called when a property is changed
   */
  public void propertyChanged(PropertyEvent e);
}
