/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * SensorEvent.java
 ***************************************************************************************/

package agent.simplest;

import java.io.*;
import java.util.*;
import java.awt.*;

import agent.base.*;

/**
 * Generic sensor event
 */
public class SensorEvent extends AgentEvent {

  // the integer IDs
  public static final int ADDED = 0;

  protected String sensor;

  /** 
   * Constructor
   * @param source The source of the event
   * @param s The sensor in question
   * @param id The id of the event
   */
  public SensorEvent(Object source, String s, int id) {
    super(source, id);
    setSensor(s);
  }

  /**
   * Accessors
   */
  public void setSensor(String s) { sensor = s; }
  public String getSensor() { return sensor; }

  /**
   * a simplistic toString function 
   */ 
  public String toString() {
    return "(SensorEvent) " + getID() + " " + sensor.toString();
  }
}

